/*------- header top start -------*/
.header-main {
    // responsive
    @media #{$tablet-device, $large-mobile} {
        padding: 10px 0;
    }
}
.header-top-area {
    padding: 10px 0;
    .header-call-action {
        p {
            color: $white;
            font-size: 15px;
            font-style: italic;
            font-weight: 300;
            padding-top: 4px;
        }
    }
    .header-top-right {
        padding-top: 4px;
        // responsive
        @media #{$large-mobile} {
            padding-top: 5px;
            margin-top: 5px;
            display: inline-block;
            border-top: 1px solid rgba(255,255,255,.1); 
        }
        ul {
            @include flexbox;
            @media #{$large-mobile} {
                @include justify-content(center);
            }
            li {
                margin-left: 30px;
                // responsive
                @media #{$extra-small-mobile} {
                    margin-left: 15px;
                }
                .header-top-dropdown > {
                    a {
                        color: $white;
                        font-size: 15px;
                        font-weight: 300;
                        text-transform: capitalize;
                        &.dropdown-toggle {
                            cursor: pointer;
                            &:after {
                                display: none;
                            }
                        }
                        i {
                            padding-left: 3px;
                        }
                    }
                }
                .dropdown-menu  {
                    color: #878787;
                    font-size: 14px;
                    padding: 8px 0 5px;
                    left: auto !important;
                    right: 0 !important;
                    min-width: 120px;
                    text-transform: capitalize;
                    transform: translate3d(0, 32px, 0px) !important;
                    a {
                        &:hover,
                        &.active {
                            color: $theme-color;
                            background-color: transparent;
                        }
                    }
                }
            }
        }
    }
    // header style 3
    &.white-bg {
        border-bottom: 1px solid $bdr-color;
        p {
            color: $paragraph-light;
        }
        .header-top-right {
            .header-top-dropdown > {
                a {
                    color: $paragraph-light;
                }
            }
            .dropdown-menu {
                a {
                    color: $paragraph-light;
                    font-size: 13px;
                    font-weight: 300;
                }
            }
        }
    }
}
/*------- header top end -------*/

/*------- main menu start -------*/
.logo {
    @media #{$large-mobile} {
        max-width: 65%;
    }
    @media #{$extra-small-mobile} {
        max-width: 80%;
    }
}
.main-menu {
    position: relative;
    ul {
        @include flexbox;
        @include flex-wrap(wrap);
        li {
            position: relative;
            a {
                font-size: 15px;
                color: $black-soft;
                padding: 44px 25px;
                font-weight: 700;
                display: block;
                text-transform: uppercase;
                i {
                    font-size: 14px;
                    padding: 0 3px;
                }
                // responsive
                @media #{$laptop-device} {
                    padding: 44px 20px;
                }
                @media #{$desktop-device} {
                    padding: 44px 10px;
                }
            }
            &:hover >,
            &.active > {
                a {
                    color: $theme-color;
                }
            }
            ul {
                // dropdown menu
                &.dropdown {
                    top: 100%;
                    left: 0;
                    width: 220px;
                    position: absolute;
                    @include transition;
                    @include translate(0, 20px);
                    background-color: $white;
                    opacity: 0;
                    visibility: hidden;
                    z-index: 99;
                    padding: 20px 0;
                    @include box-shadow(0 10px 30px rgba(0, 0, 0, 0.05));
                    li {
                        margin-right: 0;
                        border-right: none;
                        @include flex-basis(100%);
                        a {
                            color: $paragraph;
                            font-size: 14px;
                            font-weight: 400;
                            padding: 5px 15px;
                            text-transform: capitalize;
                            i {
                                float: right;
                                padding-top: 5px;
                            }
                        }
                        &:hover > {
                            a {
                                color: $theme-color;
                            }
                        }
                        ul {
                            &.dropdown {
                                top: 100%;
                                left: 100%;
                                position: absolute;
                                width: 250px;
                                opacity: 0;
                                visibility: hidden;
                            }
                        }
                        &:hover {
                            ul {
                                &.dropdown {
                                    top: 0;
                                    opacity: 1;
                                    visibility: visible;
                                }
                            }
                        }
                    }
                }
                 // mega menu
                 &.megamenu {
                    width: 800px;
                    // responsive
                    @media #{$laptop-device} {
                        width: 740px;
                    }
                    @media #{$desktop-device} {
                        width: 600px;
                    }
                    li {
                        flex-basis: 25%;
                        // responsive
                        @media #{$desktop-device} {
                            flex-basis: 50%;
                        }
                        &.mega-title > {
                            a {
                                color: $black-soft;
                                font-size: 18px;
                                font-weight: 700;
                            }
                        }
                        ul {
                            li {
                                flex-basis: 100%;
                            }
                        }
                        &:hover > {
                            a {
                                color: $theme-color;
                            }
                        }
                    }
                }
            }
            &:hover {
                ul {
                    &.dropdown, &.megamenu  {
                        @include opacity(1);
                        visibility: visible;
                        @include translate(0, 0);
                    }
                }
            }
            &:first-child {
                a {
                    padding-left: 0;
                }
            }
        }
    }
    // header style 5 for black bg
    &.white-text {
        li > {
            a {
                color: $white;
            }
            ul {
                &.dropdown {
                    li {
                       a {
                           color: $paragraph;
                       } 
                       &:hover > {
                            a {
                                color: $theme-color;
                            }
                        }
                    }
                }
            }
        }
    }
}
/*------- main menu end -------*/

/*------ header setting option start ------*/
.header-setting-option {
    @include flexbox;
    @include justify-content(flex-end);
    // Responsive
    @media #{$tablet-device, $large-mobile} {
        margin-right: 80px;
        margin-top: 10px;
    }
    @media #{$small-mobile} {
        margin-right: 50px;
    }
    @media #{$extra-small-mobile} {
        margin-right: 30px;
    }
    // search wrapper
    .search-wrap {
        button {
            width: 40px;
            height: 40px;
            color: $black-soft;
            font-size: 28px;
            line-height: 40px;
            text-align: center;
        }
    }

    // header mini cart
    .header-mini-cart {
        position: relative;
        margin-left: 10px;
        // Responsive
        @media #{$extra-small-mobile} {
            margin-left: 0;
        }
        .mini-cart-btn {
            cursor: pointer;
            position: relative;
            width: 40px;
            height: 40px;
            color: $black-soft;
            font-size: 28px;
            line-height: 40px;
            text-align: center;
            & span {
                &.cart-notification {
                    bottom: 8px;
                    right: 4px;
                    width: 14px;
                    height: 14px;
                    font-size: 10px;
                    text-align: center;
                    line-height: 16px;
                    color: $white;
                    position: absolute;
                    border-radius: 50%;
                    display: block;
                    background-color: $theme-color;
                }
            }
        }
        ul {
            &.cart-list {
                width: 280px;
                top: 100%;
                right: 0;
                background-color: $white;
                position: absolute;
                padding: 20px 20px 0 20px;
                display: none;
                z-index: 1111111;
                @include translate(0, 36px);
                @include box-shadow(0 0 7px 0 rgba(0,0,0,0.1));
                // responsive
                @media #{$tablet-device, $large-mobile} {
                    @include translate(0, 10px);
                }
                @media #{$extra-small-mobile} {
                    @include translate(64px, 10px);
                }
                li {
                    display: flex;
                    flex-wrap: wrap;
                    margin-bottom: 20px;
                    .cart-img {
                        flex: 0 0 60px;
                        max-width: 60px;
                        position: relative;
                        border: 1px solid $bdr-color;
                    }
                    .cart-info {
                        flex: 0 0 calc(100% - 80px);
                        padding-left: 20px;
                        h4 {
                            font-size: 14px;
                            text-transform: capitalize;
                            a {
                                color: $black-dark;
                                &:hover {
                                    color: $theme-color;
                                }
                            }
                        }
                        span {
                            color: $theme-color;
                            font-size: 16px;
                            margin-top: 10px;
                            display: block;
                        }
                        p {
                            font-size: 12px;
                            color: $paragraph;
                            text-transform: capitalize;
                        }
                    }
                    .del-icon {
                        max-width: 20px;
                        flex: 0 0 20px;
                        font-size: 18px;
                        color: $black-soft;
                        text-align: center;
                        cursor: pointer;
                        &:hover {
                            color: $theme-color;
                        }
                    }
                    &.checkout-btn {
                        display: block;
                        margin-top: 20px;
                        a {
                            color: $white;
                            font-size: 14px;
                            font-weight: 600;
                            display: block;
                            padding: 7px 0 3px;
                            background-color: $black-soft;
                            text-align: center;
                            text-transform: uppercase;
                            &:hover {
                                background-color: $theme-color;
                            }
                        }
                    }
                    &.mini-cart-price {
                        span {
                            font-size: 15px;
                            font-weight: 700;
                            text-transform: uppercase;
                        }
                    }
                }
            } 
        }
    }

    // header setting top
    .settings-top {
        position: relative;
        margin-left: 10px;
        // Responsive
        @media #{$extra-small-mobile} {
            margin-left: 0;
        }
        .settings-btn {
            width: 40px;
            height: 40px;
            color: $black-soft;
            font-size: 28px;
            line-height: 40px;
            text-align: center;
            cursor: pointer;
        }
        ul {
            &.settings-list {
                top: 100%;
                right: 0;
                width: 280px;
                padding: 25px;
                display: none;
                position: absolute;
                background-color: $white;
                z-index: 9;
                @include translate(0, 36px);
                @include box-shadow(0 0 7px 0 rgba(0,0,0,0.1));
                // responsive
                @media #{$tablet-device, $large-mobile} {
                    @include translate(0, 10px);
                }
                @media #{$extra-small-mobile} {
                    @include translate(24px, 10px);
                }
                li {
                    color: $black-soft;
                    font-size: 15px;
                    font-weight: 700;
                    display: block;
                    margin-bottom: 15px;
                    text-transform: uppercase;
                    &:last-child {
                        margin-bottom: 0;
                    }
                    ul {
                        padding-left: 25px;
                        li {
                            margin-bottom: 0;
                            padding: 3px 0;
                            a {
                                color: $paragraph;
                                font-size: 14px;
                                font-weight: 400;
                                text-transform: capitalize;
                                &:hover {
                                    color: $theme-color;
                                }
                            }
                            &.active {
                                a {
                                    color: $theme-color;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    &.setting-style-2 {
        ul {
            &.cart-list {
                @media #{$extra-small-mobile} {
                    @include translate(25px, 10px);
                }
            }
        }
    }
    &.white-text {
        .search-wrap {
            button {
                color: $white;
            }
        }
        .mini-cart-btn {
            color: $white;
        }
    }
}
/*------ header setting option start ------*/

/*------ search wrapper start ------*/
.block-bg {
    background: rgba(22, 22, 27, 0.98);
    height: 100%;
    left: 0;
    opacity: 0;
    position: fixed;
    text-align: center;
    top: 0;
    transform: scale(0.7);
    visibility: hidden;
    width: 100%;
    z-index: 9999999;
    @include transition;
    .minisearch {
        .field__search {
            left: 0;
            margin: 0 auto auto;
            max-width: 1000px;
            position: fixed;
            right: 0;
            top: 50%;
            input {
                color: $white;
                background: transparent;
                border-color: $white;
                border-width: 0 0 1px;
                outline: medium none;
                height: 60px;
                width: 100%;
                z-index: 1;
                position: relative;
                background: transparent;
                padding: 0 40px 0 0;
            }
            .action {
                position: absolute;
                right: 0;
                top: 50%;
                z-index: 2;
                @include translate(0, -50%);
                i {
                    color: $white;
                    font-size: 24px;
                }
            }
            @media #{$laptop-device} {
                max-width: 800px;
            }
            @media #{$tablet-device} {
                max-width: 650px;
            }
            @media #{$large-mobile} {
                max-width: 500px;
            }
            @media #{$small-mobile} {
                max-width: 400px;
            }
            @media #{$extra-small-mobile} {
                max-width: 280px;
            }
        }
    }
    .close__wrap {
        color: $white;
        cursor: pointer;
        font-size: 14px;
        text-transform: uppercase;
        top: 50px;
        right: 60px;
        padding-top: 5px;
        position: absolute;
        padding-right: 25px;
        &:before {
            top: 0;
            right: 0;
            font-size: 20px;
            vertical-align: middle;
            content: "\f00d";
            position: absolute;
            font-family: $font_awesome;
        }
    }
}
.block-bg.is-visible {
    opacity: 1;
    transform: scale(1);
    visibility: visible;
}
/*------ search wrapper end ------*/

/*------- menu responsive start --------*/
.mean-container {
    .mean-bar {
        min-height: auto;
        padding: 0;
        margin-top: 0; 
        z-index: auto;
        a {
            @include transition (0s);
            top: -45px;
            span {
                background: $black-dark;
            }
            &.meanmenu-reveal {
                color: $black-dark;
                @media #{$large-mobile} {
                    padding: 13px 0;
                }
            }
            &:hover {
                color: $theme-color !important;
            }
        }
        .mean-nav {
            margin-top: 0;
            background-color: #f8f8f8;
            ul {
                max-height: 250px;
                overflow-x: hidden;
                li {
                    border-bottom: 1px solid #ccc;
                    &:last-child {
                        border-bottom: none;
                    }
                    a {
                        color: $black-soft;
                        opacity: 1;
                        padding: 10px 20px;
                        &.mean-expand {
                            height: 34px;
                            margin-top: 0;
                            line-height: 34px;
                            padding: 5px 12px !important;
                            &:hover {
                                background-color: transparent;
                            }
                        }
                        i {
                            display: none;
                        }
                    }
                    ul {
                        &.dropdown {
                            li {
                                a {
                                    text-transform: capitalize;
                                }
                            }
                        }
                    }
                }
            }
        }     
    }
}
// header 5
.header-5 {
    a {
        span {
            background-color: $white !important;
        }
        &.meanmenu-reveal {
            color: $white !important;
        }
    }
}
/*------- menu responsive end --------*/

/*------ transparent  menu style style ------*/
.transparent-menu {
    top: 0;
    left: 0;
    width: 100%;
    position: absolute;
    @include transition;
    z-index: 1;
    &:hover {
        @include bg-rgba($white, .95);
    }
}
/*------ transparent  menu style end ------*/

/*------ sticky menu style start ------*/
.sticky {
    &.is-sticky {
        top: 0;
        position: fixed;
        width: 100%;
        z-index: 9999;
        background-color: $white;
        box-shadow: 0 0 8px 1px rgba(0, 0, 0, 0.2);
        animation: 900ms cubic-bezier(0.2, 1, 0.22, 1) 0s normal none 1 running fadeInDown;
        .main-menu {
            ul {
                li {
                    a {
                        padding: 25px 25px;
                        // responsive
                        @media #{$laptop-device} {
                            padding: 25px 20px;
                        }
                        @media #{$desktop-device} {
                            padding: 25px 10px;
                        }
                    }
                    ul {
                        &.dropdown {
                            li {
                                a {
                                    padding: 5px 15px;
                                }
                            }
                        }
                    }
                    &:first-child {
                        a {
                            padding-left: 0;
                        }
                    }
                }
            }
        }
        &.hm_5 {
            background-color: #15161e;
        }
        .cart-list {
            top: 54% !important;
        }
    }
}
/*------ sticky menu style end ------*/